Additional Fields Resource¶
Update Additional Fields¶
HTTP Request
PUT /api/additionalFields/{id}
📋 Description: Updates the additional fields associated with a specified identifier, allowing for the customization and enhancement of data attributes to meet evolving business requirements.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
true |
Request body containing the updated additional field data, including relevant attributes and values associated with the specified identifier. |
Body Parameters
1{
2 "id": 0,
3 "createdBy": "string",
4 "createdAt": "2019-08-24T14:15:22Z",
5 "displayId": "string",
6 "entityName": "string",
7 "entityType": "string",
8 "entityId": 0,
9 "text1": "string",
10 "text1_label": "string",
11 "text1_required": true,
12 "text1_readOnly": true,
13 "text1_enable": true,
14 "text2": "string",
15 "text2_label": "string",
16 "text2_required": true,
17 "text2_readOnly": true,
18 "text2_enable": true,
19 "text3": "string",
20 "text3_label": "string",
21 "text3_required": true,
22 "text3_readOnly": true,
23 "text3_enable": true,
24 "text4": "string",
25 "text4_label": "string",
26 "text4_required": true,
27 "text4_readOnly": true,
28 "text4_enable": true,
29 "text5": "string",
30 "text5_label": "string",
31 "text5_required": true,
32 "text5_readOnly": true,
33 "text5_enable": true,
34 "text6": "string",
35 "text6_label": "string",
36 "text6_required": true,
37 "text6_readOnly": true,
38 "text6_enable": true,
39 "dropdown1": "string",
40 "dropdown1_label": "string",
41 "dropdown1_required": true,
42 "dropdown1_readOnly": true,
43 "dropdown1_enable": true,
44 "dropdown1_options": [
45 {
46 "property1": "string",
47 "property2": "string"
48 }
49 ],
50 "dropdown2": "string",
51 "dropdown2_label": "string",
52 "dropdown2_required": true,
53 "dropdown2_readOnly": true,
54 "dropdown2_enable": true,
55 "dropdown2_options": [
56 {
57 "property1": "string",
58 "property2": "string"
59 }
60 ],
61 "dropdown3": "string",
62 "dropdown3_label": "string",
63 "dropdown3_required": true,
64 "dropdown3_readOnly": true,
65 "dropdown3_enable": true,
66 "dropdown3_options": [
67 {
68 "property1": "string",
69 "property2": "string"
70 }
71 ],
72 "dropdown4": "string",
73 "dropdown4_label": "string",
74 "dropdown4_required": true,
75 "dropdown4_readOnly": true,
76 "dropdown4_enable": true,
77 "dropdown4_options": [
78 {
79 "property1": "string",
80 "property2": "string"
81 }
82 ],
83 "dropdown5": "string",
84 "dropdown5_label": "string",
85 "dropdown5_required": true,
86 "dropdown5_readOnly": true,
87 "dropdown5_enable": true,
88 "dropdown5_options": [
89 {
90 "property1": "string",
91 "property2": "string"
92 }
93 ],
94 "dropdown6": "string",
95 "dropdown6_label": "string",
96 "dropdown6_required": true,
97 "dropdown6_readOnly": true,
98 "dropdown6_enable": true,
99 "dropdown6_options": [
100 {
101 "property1": "string",
102 "property2": "string"
103 }
104 ],
105 "toggle1": true,
106 "toggle1_label": "string",
107 "toggle1_required": true,
108 "toggle1_readOnly": true,
109 "toggle1_enable": true,
110 "toggle2": true,
111 "toggle2_label": "string",
112 "toggle2_required": true,
113 "toggle2_readOnly": true,
114 "toggle2_enable": true,
115 "toggle3": true,
116 "toggle3_label": "string",
117 "toggle3_required": true,
118 "toggle3_readOnly": true,
119 "toggle3_enable": true,
120 "toggle4": true,
121 "toggle4_label": "string",
122 "toggle4_required": true,
123 "toggle4_readOnly": true,
124 "toggle4_enable": true,
125 "toggle5": true,
126 "toggle5_label": "string",
127 "toggle5_required": true,
128 "toggle5_readOnly": true,
129 "toggle5_enable": true,
130 "toggle6": true,
131 "toggle6_label": "string",
132 "toggle6_required": true,
133 "toggle6_readOnly": true,
134 "toggle6_enable": true,
135 "textarea1": "string",
136 "textarea1_label": "string",
137 "textarea1_required": true,
138 "textarea1_readOnly": true,
139 "textarea1_enable": true,
140 "textarea2": "string",
141 "textarea2_label": "string",
142 "textarea2_required": true,
143 "textarea2_readOnly": true,
144 "textarea2_enable": true,
145 "textarea3": "string",
146 "textarea3_label": "string",
147 "textarea3_required": true,
148 "textarea3_readOnly": true,
149 "textarea3_enable": true,
150 "textarea4": "string",
151 "textarea4_label": "string",
152 "textarea4_required": true,
153 "textarea4_readOnly": true,
154 "textarea4_enable": true,
155 "textarea5": "string",
156 "textarea5_label": "string",
157 "textarea5_required": true,
158 "textarea5_readOnly": true,
159 "textarea5_enable": true,
160 "textarea6": "string",
161 "textarea6_label": "string",
162 "textarea6_required": true,
163 "textarea6_readOnly": true,
164 "textarea6_enable": true,
165 "number1": 0.1,
166 "number1_label": "string",
167 "number1_required": true,
168 "number1_readOnly": true,
169 "number1_enable": true,
170 "number2": 0.1,
171 "number2_label": "string",
172 "number2_required": true,
173 "number2_readOnly": true,
174 "number2_enable": true,
175 "number3": 0.1,
176 "number3_label": "string",
177 "number3_required": true,
178 "number3_readOnly": true,
179 "number3_enable": true,
180 "number4": 0.1,
181 "number4_label": "string",
182 "number4_required": true,
183 "number4_readOnly": true,
184 "number4_enable": true,
185 "number5": 0.1,
186 "number5_label": "string",
187 "number5_required": true,
188 "number5_readOnly": true,
189 "number5_enable": true,
190 "number6": 0.1,
191 "number6_label": "string",
192 "number6_required": true,
193 "number6_readOnly": true,
194 "number6_enable": true,
195 "date1": "2019-08-24",
196 "date1_label": "string",
197 "date1_required": true,
198 "date1_readOnly": true,
199 "date1_enable": true,
200 "date2": "2019-08-24",
201 "date2_label": "string",
202 "date2_required": true,
203 "date2_readOnly": true,
204 "date2_enable": true,
205 "date3": "2019-08-24",
206 "date3_label": "string",
207 "date3_required": true,
208 "date3_readOnly": true,
209 "date3_enable": true,
210 "date4": "2019-08-24",
211 "date4_label": "string",
212 "date4_required": true,
213 "date4_readOnly": true,
214 "date4_enable": true,
215 "date5": "2019-08-24",
216 "date5_label": "string",
217 "date5_required": true,
218 "date5_readOnly": true,
219 "date5_enable": true,
220 "date6": "2019-08-24",
221 "date6_label": "string",
222 "date6_required": true,
223 "date6_readOnly": true,
224 "date6_enable": true
225}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Create Additional Fields¶
HTTP Request
POST /api/additionalFields
📋 Description: Submits additional fields for processing, enabling enhanced data capture and customization within the application.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing additional field definitions and their corresponding attributes for enhanced data customization within the application. |
Body Parameters
1{
2 "id": 0,
3 "createdBy": "string",
4 "createdAt": "2019-08-24T14:15:22Z",
5 "displayId": "string",
6 "entityName": "string",
7 "entityType": "string",
8 "entityId": 0,
9 "text1": "string",
10 "text1_label": "string",
11 "text1_required": true,
12 "text1_readOnly": true,
13 "text1_enable": true,
14 "text2": "string",
15 "text2_label": "string",
16 "text2_required": true,
17 "text2_readOnly": true,
18 "text2_enable": true,
19 "text3": "string",
20 "text3_label": "string",
21 "text3_required": true,
22 "text3_readOnly": true,
23 "text3_enable": true,
24 "text4": "string",
25 "text4_label": "string",
26 "text4_required": true,
27 "text4_readOnly": true,
28 "text4_enable": true,
29 "text5": "string",
30 "text5_label": "string",
31 "text5_required": true,
32 "text5_readOnly": true,
33 "text5_enable": true,
34 "text6": "string",
35 "text6_label": "string",
36 "text6_required": true,
37 "text6_readOnly": true,
38 "text6_enable": true,
39 "dropdown1": "string",
40 "dropdown1_label": "string",
41 "dropdown1_required": true,
42 "dropdown1_readOnly": true,
43 "dropdown1_enable": true,
44 "dropdown1_options": [
45 {
46 "property1": "string",
47 "property2": "string"
48 }
49 ],
50 "dropdown2": "string",
51 "dropdown2_label": "string",
52 "dropdown2_required": true,
53 "dropdown2_readOnly": true,
54 "dropdown2_enable": true,
55 "dropdown2_options": [
56 {
57 "property1": "string",
58 "property2": "string"
59 }
60 ],
61 "dropdown3": "string",
62 "dropdown3_label": "string",
63 "dropdown3_required": true,
64 "dropdown3_readOnly": true,
65 "dropdown3_enable": true,
66 "dropdown3_options": [
67 {
68 "property1": "string",
69 "property2": "string"
70 }
71 ],
72 "dropdown4": "string",
73 "dropdown4_label": "string",
74 "dropdown4_required": true,
75 "dropdown4_readOnly": true,
76 "dropdown4_enable": true,
77 "dropdown4_options": [
78 {
79 "property1": "string",
80 "property2": "string"
81 }
82 ],
83 "dropdown5": "string",
84 "dropdown5_label": "string",
85 "dropdown5_required": true,
86 "dropdown5_readOnly": true,
87 "dropdown5_enable": true,
88 "dropdown5_options": [
89 {
90 "property1": "string",
91 "property2": "string"
92 }
93 ],
94 "dropdown6": "string",
95 "dropdown6_label": "string",
96 "dropdown6_required": true,
97 "dropdown6_readOnly": true,
98 "dropdown6_enable": true,
99 "dropdown6_options": [
100 {
101 "property1": "string",
102 "property2": "string"
103 }
104 ],
105 "toggle1": true,
106 "toggle1_label": "string",
107 "toggle1_required": true,
108 "toggle1_readOnly": true,
109 "toggle1_enable": true,
110 "toggle2": true,
111 "toggle2_label": "string",
112 "toggle2_required": true,
113 "toggle2_readOnly": true,
114 "toggle2_enable": true,
115 "toggle3": true,
116 "toggle3_label": "string",
117 "toggle3_required": true,
118 "toggle3_readOnly": true,
119 "toggle3_enable": true,
120 "toggle4": true,
121 "toggle4_label": "string",
122 "toggle4_required": true,
123 "toggle4_readOnly": true,
124 "toggle4_enable": true,
125 "toggle5": true,
126 "toggle5_label": "string",
127 "toggle5_required": true,
128 "toggle5_readOnly": true,
129 "toggle5_enable": true,
130 "toggle6": true,
131 "toggle6_label": "string",
132 "toggle6_required": true,
133 "toggle6_readOnly": true,
134 "toggle6_enable": true,
135 "textarea1": "string",
136 "textarea1_label": "string",
137 "textarea1_required": true,
138 "textarea1_readOnly": true,
139 "textarea1_enable": true,
140 "textarea2": "string",
141 "textarea2_label": "string",
142 "textarea2_required": true,
143 "textarea2_readOnly": true,
144 "textarea2_enable": true,
145 "textarea3": "string",
146 "textarea3_label": "string",
147 "textarea3_required": true,
148 "textarea3_readOnly": true,
149 "textarea3_enable": true,
150 "textarea4": "string",
151 "textarea4_label": "string",
152 "textarea4_required": true,
153 "textarea4_readOnly": true,
154 "textarea4_enable": true,
155 "textarea5": "string",
156 "textarea5_label": "string",
157 "textarea5_required": true,
158 "textarea5_readOnly": true,
159 "textarea5_enable": true,
160 "textarea6": "string",
161 "textarea6_label": "string",
162 "textarea6_required": true,
163 "textarea6_readOnly": true,
164 "textarea6_enable": true,
165 "number1": 0.1,
166 "number1_label": "string",
167 "number1_required": true,
168 "number1_readOnly": true,
169 "number1_enable": true,
170 "number2": 0.1,
171 "number2_label": "string",
172 "number2_required": true,
173 "number2_readOnly": true,
174 "number2_enable": true,
175 "number3": 0.1,
176 "number3_label": "string",
177 "number3_required": true,
178 "number3_readOnly": true,
179 "number3_enable": true,
180 "number4": 0.1,
181 "number4_label": "string",
182 "number4_required": true,
183 "number4_readOnly": true,
184 "number4_enable": true,
185 "number5": 0.1,
186 "number5_label": "string",
187 "number5_required": true,
188 "number5_readOnly": true,
189 "number5_enable": true,
190 "number6": 0.1,
191 "number6_label": "string",
192 "number6_required": true,
193 "number6_readOnly": true,
194 "number6_enable": true,
195 "date1": "2019-08-24",
196 "date1_label": "string",
197 "date1_required": true,
198 "date1_readOnly": true,
199 "date1_enable": true,
200 "date2": "2019-08-24",
201 "date2_label": "string",
202 "date2_required": true,
203 "date2_readOnly": true,
204 "date2_enable": true,
205 "date3": "2019-08-24",
206 "date3_label": "string",
207 "date3_required": true,
208 "date3_readOnly": true,
209 "date3_enable": true,
210 "date4": "2019-08-24",
211 "date4_label": "string",
212 "date4_required": true,
213 "date4_readOnly": true,
214 "date4_enable": true,
215 "date5": "2019-08-24",
216 "date5_label": "string",
217 "date5_required": true,
218 "date5_readOnly": true,
219 "date5_enable": true,
220 "date6": "2019-08-24",
221 "date6_label": "string",
222 "date6_required": true,
223 "date6_readOnly": true,
224 "date6_enable": true
225}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
204 |
No Content |
None |
Get Additional Fields¶
HTTP Request
GET /api/additionalFields/{entityName}/{entityId}
📋 Description: Retrieves additional fields associated with a specified entity, identified by its name and ID, to enhance data visibility and support informed decision-making.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
entityName |
path |
string |
true |
Name of the entity |
entityId |
path |
integer(int64) |
true |
Unique identifier for the entity |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "id": 0,
4 "createdBy": "string",
5 "createdAt": "2019-08-24T14:15:22Z",
6 "displayId": "string",
7 "entityName": "string",
8 "entityType": "string",
9 "entityId": 0,
10 "text1": "string",
11 "text1_label": "string",
12 "text1_required": true,
13 "text1_readOnly": true,
14 "text1_enable": true,
15 "text2": "string",
16 "text2_label": "string",
17 "text2_required": true,
18 "text2_readOnly": true,
19 "text2_enable": true,
20 "text3": "string",
21 "text3_label": "string",
22 "text3_required": true,
23 "text3_readOnly": true,
24 "text3_enable": true,
25 "text4": "string",
26 "text4_label": "string",
27 "text4_required": true,
28 "text4_readOnly": true,
29 "text4_enable": true,
30 "text5": "string",
31 "text5_label": "string",
32 "text5_required": true,
33 "text5_readOnly": true,
34 "text5_enable": true,
35 "text6": "string",
36 "text6_label": "string",
37 "text6_required": true,
38 "text6_readOnly": true,
39 "text6_enable": true,
40 "dropdown1": "string",
41 "dropdown1_label": "string",
42 "dropdown1_required": true,
43 "dropdown1_readOnly": true,
44 "dropdown1_enable": true,
45 "dropdown1_options": [
46 {
47 "property1": "string",
48 "property2": "string"
49 }
50 ],
51 "dropdown2": "string",
52 "dropdown2_label": "string",
53 "dropdown2_required": true,
54 "dropdown2_readOnly": true,
55 "dropdown2_enable": true,
56 "dropdown2_options": [
57 {
58 "property1": "string",
59 "property2": "string"
60 }
61 ],
62 "dropdown3": "string",
63 "dropdown3_label": "string",
64 "dropdown3_required": true,
65 "dropdown3_readOnly": true,
66 "dropdown3_enable": true,
67 "dropdown3_options": [
68 {
69 "property1": "string",
70 "property2": "string"
71 }
72 ],
73 "dropdown4": "string",
74 "dropdown4_label": "string",
75 "dropdown4_required": true,
76 "dropdown4_readOnly": true,
77 "dropdown4_enable": true,
78 "dropdown4_options": [
79 {
80 "property1": "string",
81 "property2": "string"
82 }
83 ],
84 "dropdown5": "string",
85 "dropdown5_label": "string",
86 "dropdown5_required": true,
87 "dropdown5_readOnly": true,
88 "dropdown5_enable": true,
89 "dropdown5_options": [
90 {
91 "property1": "string",
92 "property2": "string"
93 }
94 ],
95 "dropdown6": "string",
96 "dropdown6_label": "string",
97 "dropdown6_required": true,
98 "dropdown6_readOnly": true,
99 "dropdown6_enable": true,
100 "dropdown6_options": [
101 {
102 "property1": "string",
103 "property2": "string"
104 }
105 ],
106 "toggle1": true,
107 "toggle1_label": "string",
108 "toggle1_required": true,
109 "toggle1_readOnly": true,
110 "toggle1_enable": true,
111 "toggle2": true,
112 "toggle2_label": "string",
113 "toggle2_required": true,
114 "toggle2_readOnly": true,
115 "toggle2_enable": true,
116 "toggle3": true,
117 "toggle3_label": "string",
118 "toggle3_required": true,
119 "toggle3_readOnly": true,
120 "toggle3_enable": true,
121 "toggle4": true,
122 "toggle4_label": "string",
123 "toggle4_required": true,
124 "toggle4_readOnly": true,
125 "toggle4_enable": true,
126 "toggle5": true,
127 "toggle5_label": "string",
128 "toggle5_required": true,
129 "toggle5_readOnly": true,
130 "toggle5_enable": true,
131 "toggle6": true,
132 "toggle6_label": "string",
133 "toggle6_required": true,
134 "toggle6_readOnly": true,
135 "toggle6_enable": true,
136 "textarea1": "string",
137 "textarea1_label": "string",
138 "textarea1_required": true,
139 "textarea1_readOnly": true,
140 "textarea1_enable": true,
141 "textarea2": "string",
142 "textarea2_label": "string",
143 "textarea2_required": true,
144 "textarea2_readOnly": true,
145 "textarea2_enable": true,
146 "textarea3": "string",
147 "textarea3_label": "string",
148 "textarea3_required": true,
149 "textarea3_readOnly": true,
150 "textarea3_enable": true,
151 "textarea4": "string",
152 "textarea4_label": "string",
153 "textarea4_required": true,
154 "textarea4_readOnly": true,
155 "textarea4_enable": true,
156 "textarea5": "string",
157 "textarea5_label": "string",
158 "textarea5_required": true,
159 "textarea5_readOnly": true,
160 "textarea5_enable": true,
161 "textarea6": "string",
162 "textarea6_label": "string",
163 "textarea6_required": true,
164 "textarea6_readOnly": true,
165 "textarea6_enable": true,
166 "number1": 0.1,
167 "number1_label": "string",
168 "number1_required": true,
169 "number1_readOnly": true,
170 "number1_enable": true,
171 "number2": 0.1,
172 "number2_label": "string",
173 "number2_required": true,
174 "number2_readOnly": true,
175 "number2_enable": true,
176 "number3": 0.1,
177 "number3_label": "string",
178 "number3_required": true,
179 "number3_readOnly": true,
180 "number3_enable": true,
181 "number4": 0.1,
182 "number4_label": "string",
183 "number4_required": true,
184 "number4_readOnly": true,
185 "number4_enable": true,
186 "number5": 0.1,
187 "number5_label": "string",
188 "number5_required": true,
189 "number5_readOnly": true,
190 "number5_enable": true,
191 "number6": 0.1,
192 "number6_label": "string",
193 "number6_required": true,
194 "number6_readOnly": true,
195 "number6_enable": true,
196 "date1": "2019-08-24",
197 "date1_label": "string",
198 "date1_required": true,
199 "date1_readOnly": true,
200 "date1_enable": true,
201 "date2": "2019-08-24",
202 "date2_label": "string",
203 "date2_required": true,
204 "date2_readOnly": true,
205 "date2_enable": true,
206 "date3": "2019-08-24",
207 "date3_label": "string",
208 "date3_required": true,
209 "date3_readOnly": true,
210 "date3_enable": true,
211 "date4": "2019-08-24",
212 "date4_label": "string",
213 "date4_required": true,
214 "date4_readOnly": true,
215 "date4_enable": true,
216 "date5": "2019-08-24",
217 "date5_label": "string",
218 "date5_required": true,
219 "date5_readOnly": true,
220 "date5_enable": true,
221 "date6": "2019-08-24",
222 "date6_label": "string",
223 "date6_required": true,
224 "date6_readOnly": true,
225 "date6_enable": true
226 }
227]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing additional fields that can be utilized to enhance the contextual information of business entities, facilitating more comprehensive data management and reporting.] |
|
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» createdBy |
string |
false |
none |
Username of who created this resource |
» createdAt |
string(date-time) |
false |
none |
Timestamp when this resource was created |
» displayId |
string |
false |
none |
Unique identifier for the display |
» entityName |
string |
true |
none |
Name of the entity |
» entityType |
string |
true |
none |
Type of the entity |
» entityId |
integer(int64) |
false |
none |
Unique identifier for the entity |
» text1 |
string |
false |
none |
Text1 is a customizable string field within the AdditionalFieldsDTO schema, designed to capture supplementary information relevant to the specific business context of the API request. |
» text1_label |
string |
false |
none |
Label for the first additional field, used to provide context or categorization for supplementary data entries within the system. |
» text1_required |
boolean |
false |
none |
Indicates whether the ‘text1’ field is mandatory for submission, ensuring compliance with data entry requirements. |
» text1_readOnly |
boolean |
false |
none |
Indicates whether the text1 field is read-only, preventing any modifications to its content in the system. |
» text1_enable |
boolean |
false |
none |
Indicates whether the text1 feature is enabled, allowing for customizable content display within the application. |
» text2 |
string |
false |
none |
Textual input field for capturing additional information relevant to the business context within the AdditionalFieldsDTO schema. |
» text2_label |
string |
false |
none |
Label for the secondary text field, used to enhance data categorization and improve user interface clarity. |
» text2_required |
boolean |
false |
none |
Indicates whether the second text input is mandatory for the completion of the form. |
» text2_readOnly |
boolean |
false |
none |
Indicates whether the associated text field is read-only, preventing any modifications to its content. |
» text2_enable |
boolean |
false |
none |
Indicates whether the text-to-speech feature is enabled for enhanced accessibility in user interactions. |
» text3 |
string |
false |
none |
Additional text field for capturing supplementary information relevant to the associated data entry. |
» text3_label |
string |
false |
none |
Label for the third additional text field, used to provide supplementary information relevant to the associated data entry. |
» text3_required |
boolean |
false |
none |
Indicates whether the third text field is mandatory for completion in the form submission process. |
» text3_readOnly |
boolean |
false |
none |
Indicates whether the associated text field is read-only, preventing user modifications for data integrity. |
» text3_enable |
boolean |
false |
none |
Indicates whether the third text field is enabled for use in the application, allowing for enhanced data entry options. |
» text4 |
string |
false |
none |
Optional string field for capturing supplementary information relevant to the additional fields in the data transfer object. |
» text4_label |
string |
false |
none |
Label for the fourth text field, intended for additional contextual information within the AdditionalFieldsDTO schema. |
» text4_required |
boolean |
false |
none |
Indicates whether the fourth text field is mandatory for submission within the AdditionalFieldsDTO schema. |
» text4_readOnly |
boolean |
false |
none |
Indicates whether the associated text field is read-only, preventing any modifications to its content. |
» text4_enable |
boolean |
false |
none |
Indicates whether the fourth text field is enabled for use in the application. |
» text5 |
string |
false |
none |
Additional information related to the entity, allowing for enhanced data categorization and contextualization within the system. |
» text5_label |
string |
false |
none |
Label for the fifth additional field, providing a customizable description to enhance data clarity and contextual relevance. |
» text5_required |
boolean |
false |
none |
Indicates whether the fifth text field is mandatory for submission within the AdditionalFieldsDTO schema. |
» text5_readOnly |
boolean |
false |
none |
Indicates whether the associated field is read-only, preventing any modifications to its value. |
» text5_enable |
boolean |
false |
none |
Indicates whether the fifth text field is enabled for use in the application. |
» text6 |
string |
false |
none |
Text6 is a flexible string field within the AdditionalFieldsDTO schema, designed to capture supplementary information relevant to the business context. |
» text6_label |
string |
false |
none |
Label for the sixth additional field, providing a customizable descriptor to enhance data categorization and clarity within the system. |
» text6_required |
boolean |
false |
none |
Indicates whether the sixth text field is mandatory for submission within the AdditionalFieldsDTO schema. |
» text6_readOnly |
boolean |
false |
none |
Indicates whether the associated field is read-only, preventing any modifications to its value. |
» text6_enable |
boolean |
false |
none |
Indicates whether the sixth text field is enabled for use within the application. |
» dropdown1 |
string |
false |
none |
Dropdown1 is a string field within the AdditionalFieldsDTO schema, designed to capture user-selected options that may influence business decisions or processes. |
» dropdown1_label |
string |
false |
none |
Label for the first dropdown menu, used to provide users with a clear and descriptive option within the interface. |
» dropdown1_required |
boolean |
false |
none |
Indicates whether the first dropdown field is mandatory for user input in the form submission process. |
» dropdown1_readOnly |
boolean |
false |
none |
Indicates whether the dropdown field is read-only, preventing user modifications in the interface. |
» dropdown1_enable |
boolean |
false |
none |
Indicates whether the first dropdown menu is enabled for user interaction within the application. |
» dropdown1_options |
[object] |
false |
none |
Array of selectable options for the first dropdown field, allowing users to customize their input based on predefined choices. |
»» additionalProperties |
string |
false |
none |
none |
» dropdown2 |
string |
false |
none |
Dropdown2 is a string field within the AdditionalFieldsDTO schema, designed to capture supplementary data relevant to user selections in the application. |
» dropdown2_label |
string |
false |
none |
Label for the second dropdown field, used to enhance user interface clarity and facilitate data selection in forms. |
» dropdown2_required |
boolean |
false |
none |
Indicates whether the second dropdown selection is mandatory for form submission, ensuring compliance with data entry requirements. |
» dropdown2_readOnly |
boolean |
false |
none |
Indicates whether the second dropdown field is read-only, preventing user modifications in the interface. |
» dropdown2_enable |
boolean |
false |
none |
Indicates whether the second dropdown menu is enabled for user selection within the application. |
» dropdown2_options |
[object] |
false |
none |
Array of options for the second dropdown menu, allowing users to select from predefined choices relevant to their input context. |
»» additionalProperties |
string |
false |
none |
none |
» dropdown3 |
string |
false |
none |
Dropdown3 is a string field within the AdditionalFieldsDTO schema, designed to capture supplementary information relevant to user selections in the application. |
» dropdown3_label |
string |
false |
none |
Label for the third dropdown option in the AdditionalFieldsDTO, used to provide context or categorization for user selections. |
» dropdown3_required |
boolean |
false |
none |
Indicates whether the third dropdown selection is mandatory for form completion. |
» dropdown3_readOnly |
boolean |
false |
none |
Indicates whether the dropdown3 field is read-only, preventing user modifications to its value. |
» dropdown3_enable |
boolean |
false |
none |
Indicates whether the third dropdown option is enabled for user selection within the application. |
» dropdown3_options |
[object] |
false |
none |
Array of options for the third dropdown menu, allowing users to select from predefined choices relevant to their input requirements. |
»» additionalProperties |
string |
false |
none |
none |
» dropdown4 |
string |
false |
none |
Dropdown4 is a customizable string field within the AdditionalFieldsDTO schema, designed to capture specific user-defined data relevant to the business context. |
» dropdown4_label |
string |
false |
none |
Label for the fourth dropdown field, used to provide context or options relevant to the associated data entry. |
» dropdown4_required |
boolean |
false |
none |
Indicates whether the fourth dropdown selection is mandatory for the completion of the form. |
» dropdown4_readOnly |
boolean |
false |
none |
Indicates whether the dropdown field is read-only, preventing user modifications to its value. |
» dropdown4_enable |
boolean |
false |
none |
Indicates whether the fourth dropdown option is enabled for user selection within the application. |
» dropdown4_options |
[object] |
false |
none |
List of selectable options for the fourth dropdown field, enabling users to customize their input based on predefined choices. |
»» additionalProperties |
string |
false |
none |
none |
» dropdown5 |
string |
false |
none |
Dropdown5 is a string field within the AdditionalFieldsDTO schema, designed to capture supplementary information relevant to user selections in the application. |
» dropdown5_label |
string |
false |
none |
Label for the fifth dropdown option in the Additional Fields, designed to enhance user interface clarity and facilitate data categorization. |
» dropdown5_required |
boolean |
false |
none |
Indicates whether the fifth dropdown field is mandatory for user input in the form submission process. |
» dropdown5_readOnly |
boolean |
false |
none |
Indicates whether the dropdown5 field is read-only, preventing any modifications to its value in the user interface. |
» dropdown5_enable |
boolean |
false |
none |
Indicates whether the fifth dropdown option is enabled for user selection within the application. |
» dropdown5_options |
[object] |
false |
none |
Array of options for the fifth dropdown field, allowing users to customize selections based on specific business requirements. |
»» additionalProperties |
string |
false |
none |
none |
» dropdown6 |
string |
false |
none |
Dropdown6 is a string field within the AdditionalFieldsDTO schema, designed to capture supplementary information relevant to the business context of the API request. |
» dropdown6_label |
string |
false |
none |
Label for the sixth dropdown option in the additional fields, used to enhance user selection clarity within the application. |
» dropdown6_required |
boolean |
false |
none |
Indicates whether the sixth dropdown field is mandatory for user input in the form submission process. |
» dropdown6_readOnly |
boolean |
false |
none |
Indicates whether the dropdown field is read-only, preventing user modifications to its value. |
» dropdown6_enable |
boolean |
false |
none |
Indicates whether the sixth dropdown option is enabled for user selection within the application. |
» dropdown6_options |
[object] |
false |
none |
Array of options for the sixth dropdown field, allowing users to select from predefined choices relevant to their specific business needs. |
»» additionalProperties |
string |
false |
none |
none |
» toggle1 |
boolean |
false |
none |
Indicates the active state of a feature or option within the AdditionalFieldsDTO, allowing for dynamic configuration based on user preferences. |
» toggle1_label |
string |
false |
none |
Label for the first toggle option, used to enhance user interface clarity and improve user experience in the application. |
» toggle1_required |
boolean |
false |
none |
Indicates whether the toggle1 feature is mandatory for the completion of the associated process. |
» toggle1_readOnly |
boolean |
false |
none |
Indicates whether the toggle1 field is read-only, preventing any modifications to its value in the system. |
» toggle1_enable |
boolean |
false |
none |
Indicates whether the toggle feature is enabled, allowing for customizable functionality within the application. |
» toggle2 |
boolean |
false |
none |
Indicates the active status of a feature or setting within the application, allowing for dynamic configuration based on business needs. |
» toggle2_label |
string |
false |
none |
Label for the second toggle option, used to enhance user interface clarity and facilitate user interaction within the application. |
» toggle2_required |
boolean |
false |
none |
Indicates whether the second toggle option is mandatory for the completion of the associated process. |
» toggle2_readOnly |
boolean |
false |
none |
Indicates whether the toggle2 field is read-only, preventing any modifications to its value within the application. |
» toggle2_enable |
boolean |
false |
none |
Indicates whether the toggle feature is enabled, allowing for dynamic adjustments in system functionality. |
» toggle3 |
boolean |
false |
none |
Indicates the activation status of a specific feature or setting within the system. |
» toggle3_label |
string |
false |
none |
Label for the third toggle option in the user interface, allowing for customizable display and enhanced user experience. |
» toggle3_required |
boolean |
false |
none |
Indicates whether the third toggle option is mandatory for the completion of the associated form. |
» toggle3_readOnly |
boolean |
false |
none |
Indicates whether the toggle3 field is read-only, preventing any modifications to its value within the application. |
» toggle3_enable |
boolean |
false |
none |
Indicates whether the toggle feature 3 is enabled, allowing for customizable functionality within the application. |
» toggle4 |
boolean |
false |
none |
Indicates the active state of a specific feature or option within the AdditionalFieldsDTO, enabling dynamic configuration based on business requirements. |
» toggle4_label |
string |
false |
none |
Label for the fourth toggle option, used to enhance user interface clarity and improve user experience in the application. |
» toggle4_required |
boolean |
false |
none |
Indicates whether the fourth toggle option is required for the completion of the associated form or process. |
» toggle4_readOnly |
boolean |
false |
none |
Indicates whether the associated field is read-only, preventing any modifications to its value in the user interface. |
» toggle4_enable |
boolean |
false |
none |
Indicates whether the toggle feature 4 is enabled, allowing for customized functionality within the application. |
» toggle5 |
boolean |
false |
none |
Indicates the active state of a specific feature or setting within the AdditionalFieldsDTO, enabling or disabling functionality as required. |
» toggle5_label |
string |
false |
none |
Label for the fifth toggle option, used to enhance user interface clarity and improve user experience within the application. |
» toggle5_required |
boolean |
false |
none |
Indicates whether the fifth toggle option is required for the completion of the associated form or process. |
» toggle5_readOnly |
boolean |
false |
none |
Indicates whether the associated field is read-only, preventing any modifications to its value in the system. |
» toggle5_enable |
boolean |
false |
none |
Indicates whether the toggle5 feature is enabled, allowing for customizable functionality within the application. |
» toggle6 |
boolean |
false |
none |
Indicates the active state of a specific feature or option within the AdditionalFieldsDTO schema. |
» toggle6_label |
string |
false |
none |
Label for the sixth toggle option, used to enhance user interface clarity and facilitate user interaction within the application. |
» toggle6_required |
boolean |
false |
none |
Indicates whether the toggle6 option is required for the completion of the associated process. |
» toggle6_readOnly |
boolean |
false |
none |
Indicates whether the toggle6 field is read-only, preventing any modifications to its value within the AdditionalFieldsDTO schema. |
» toggle6_enable |
boolean |
false |
none |
Indicates whether the toggle6 feature is enabled, allowing for customizable functionality within the application. |
» textarea1 |
string |
false |
none |
Text area for capturing additional information or comments relevant to the business context. |
» textarea1_label |
string |
false |
none |
Label for the first text area, used to provide context or instructions for user input within the AdditionalFieldsDTO schema. |
» textarea1_required |
boolean |
false |
none |
Indicates whether the textarea field is mandatory for user input, ensuring compliance with data collection requirements. |
» textarea1_readOnly |
boolean |
false |
none |
Indicates whether the associated text area is read-only, preventing user modifications to its content. |
» textarea1_enable |
boolean |
false |
none |
Indicates whether the textarea1 field is enabled for user input, allowing for customizable data entry within the application. |
» textarea2 |
string |
false |
none |
Additional text input field for capturing supplementary information related to the entity represented by AdditionalFieldsDTO. |
» textarea2_label |
string |
false |
none |
Label for the second textarea field, used to provide context or instructions for user input within the application. |
» textarea2_required |
boolean |
false |
none |
Indicates whether the second textarea field is mandatory for user input in the form submission process. |
» textarea2_readOnly |
boolean |
false |
none |
Indicates whether the textarea field is read-only, preventing user modifications to the content. |
» textarea2_enable |
boolean |
false |
none |
Indicates whether the second textarea is enabled for user input within the application. |
» textarea3 |
string |
false |
none |
Text area for capturing additional comments or information relevant to the business context. |
» textarea3_label |
string |
false |
none |
Label for the third textarea field, used to provide a descriptive title that enhances user understanding and interaction within the application. |
» textarea3_required |
boolean |
false |
none |
Indicates whether the textarea3 field is mandatory for user input, ensuring compliance with data collection requirements. |
» textarea3_readOnly |
boolean |
false |
none |
Indicates whether the textarea field is read-only, preventing user modifications to its content. |
» textarea3_enable |
boolean |
false |
none |
Indicates whether the third textarea is enabled for user input within the application. |
» textarea4 |
string |
false |
none |
Additional text input field for capturing supplementary information relevant to the associated data entry. |
» textarea4_label |
string |
false |
none |
Label for the fourth textarea in the AdditionalFieldsDTO, used to provide context or instructions for user input in forms. |
» textarea4_required |
boolean |
false |
none |
Indicates whether the textarea4 field is mandatory for user input in the AdditionalFieldsDTO schema. |
» textarea4_readOnly |
boolean |
false |
none |
Indicates whether the associated textarea field is read-only, preventing user modifications to its content. |
» textarea4_enable |
boolean |
false |
none |
Indicates whether the fourth textarea is enabled for user input within the application. |
» textarea5 |
string |
false |
none |
Text area for capturing additional comments or information relevant to the business context, allowing for enhanced data collection and user input. |
» textarea5_label |
string |
false |
none |
Label for the fifth text area in the additional fields, used to provide descriptive context for user input. |
» textarea5_required |
boolean |
false |
none |
Indicates whether the textarea5 field is mandatory for submission, ensuring compliance with data collection requirements. |
» textarea5_readOnly |
boolean |
false |
none |
Indicates whether the textarea field is read-only, preventing user modifications to its content. |
» textarea5_enable |
boolean |
false |
none |
Indicates whether the textarea5 field is enabled for user input within the application. |
» textarea6 |
string |
false |
none |
Additional information or comments relevant to the transaction, allowing for enhanced context and clarity in business communications. |
» textarea6_label |
string |
false |
none |
Label for the sixth additional text area, used to provide context or instructions for user input in the application. |
» textarea6_required |
boolean |
false |
none |
Indicates whether the textarea field is mandatory for user input, ensuring compliance with data collection requirements. |
» textarea6_readOnly |
boolean |
false |
none |
Indicates whether the textarea field is read-only, preventing user modifications to the content. |
» textarea6_enable |
boolean |
false |
none |
Indicates whether the textarea6 field is enabled for user input, allowing for customizable data entry in the application. |
» number1 |
number(double) |
false |
none |
Represents the first numerical value used for calculations or comparisons within the AdditionalFieldsDTO schema. |
» number1_label |
string |
false |
none |
Label for the first numerical value in the additional fields, used to provide context and clarity in data representation. |
» number1_required |
boolean |
false |
none |
Indicates whether the first number is mandatory for processing within the additional fields of the data transfer object. |
» number1_readOnly |
boolean |
false |
none |
Indicates whether the associated number field is read-only, ensuring data integrity by preventing unauthorized modifications. |
» number1_enable |
boolean |
false |
none |
Indicates whether the first number feature is enabled, allowing for tailored functionality based on business requirements. |
» number2 |
number(double) |
false |
none |
Represents a numerical value associated with additional fields in the data transfer object, facilitating enhanced data management and analysis. |
» number2_label |
string |
false |
none |
Label associated with the second number field, used to provide context or description for data representation in the AdditionalFieldsDTO schema. |
» number2_required |
boolean |
false |
none |
Indicates whether the second number is mandatory for processing within the additional fields of the data transfer object. |
» number2_readOnly |
boolean |
false |
none |
Indicates whether the associated field is read-only, preventing any modifications to its value within the system. |
» number2_enable |
boolean |
false |
none |
Indicates whether the second number feature is enabled, allowing for enhanced configuration options within the application. |
» number3 |
number(double) |
false |
none |
Represents a numerical value used for additional calculations or metrics within the context of the AdditionalFieldsDTO schema. |
» number3_label |
string |
false |
none |
Label associated with the third additional field, used to provide context or description for enhanced data clarity in the system. |
» number3_required |
boolean |
false |
none |
Indicates whether the third number field is mandatory for the completion of the data entry process. |
» number3_readOnly |
boolean |
false |
none |
Indicates whether the associated field is read-only, preventing modifications to its value within the system. |
» number3_enable |
boolean |
false |
none |
Indicates whether the feature associated with ‘number3’ is enabled, allowing for tailored functionality within the application. |
» number4 |
number(double) |
false |
none |
Represents a numerical value associated with additional fields in the data transfer object, facilitating enhanced data categorization and analysis. |
» number4_label |
string |
false |
none |
Label associated with the fourth additional field, used to provide context or categorization for data entries within the AdditionalFieldsDTO schema. |
» number4_required |
boolean |
false |
none |
Indicates whether the fourth additional field is mandatory for the completion of the data submission process. |
» number4_readOnly |
boolean |
false |
none |
Indicates whether the associated field is read-only, preventing any modifications to its value. |
» number4_enable |
boolean |
false |
none |
Indicates whether the feature associated with ‘number4’ is enabled, allowing for tailored functionality within the application. |
» number5 |
number(double) |
false |
none |
Represents a numerical value associated with additional fields in the data transfer object, facilitating enhanced data categorization and analysis. |
» number5_label |
string |
false |
none |
Label associated with the fifth additional field, used to provide descriptive context for supplementary data entries within the system. |
» number5_required |
boolean |
false |
none |
Indicates whether the fifth additional field is mandatory for submission in the system. |
» number5_readOnly |
boolean |
false |
none |
Indicates whether the associated field is read-only, preventing modifications to its value in the system. |
» number5_enable |
boolean |
false |
none |
Indicates whether the feature associated with ‘number5’ is enabled, allowing for tailored functionality within the application. |
» number6 |
number(double) |
false |
none |
Represents a numeric value associated with additional fields in the data transfer object, facilitating enhanced data categorization and analysis. |
» number6_label |
string |
false |
none |
Label associated with the sixth additional field, used to provide context or description for enhanced data categorization. |
» number6_required |
boolean |
false |
none |
Indicates whether the sixth additional field is mandatory for submission in the context of the data entry process. |
» number6_readOnly |
boolean |
false |
none |
Indicates whether the associated field is read-only, ensuring data integrity by preventing unauthorized modifications. |
» number6_enable |
boolean |
false |
none |
Indicates whether the feature associated with ‘number6’ is enabled, allowing for tailored functionality based on business requirements. |
» date1 |
string(date) |
false |
none |
Represents a specific date relevant to the additional fields in the data transfer object, facilitating accurate data management and reporting. |
» date1_label |
string |
false |
none |
Label for the first date field, used to provide context or description for date-related data entries within the AdditionalFieldsDTO schema. |
» date1_required |
boolean |
false |
none |
Indicates whether the first date is mandatory for the completion of the associated process. |
» date1_readOnly |
boolean |
false |
none |
Indicates whether the date field is read-only, preventing any modifications to its value within the application. |
» date1_enable |
boolean |
false |
none |
Indicates whether the first date field is enabled for user input within the AdditionalFieldsDTO schema. |
» date2 |
string(date) |
false |
none |
Represents a secondary date relevant to the transaction or record, facilitating time-based analysis and reporting. |
» date2_label |
string |
false |
none |
Label associated with the second date field, used to provide contextual information for data entry and reporting purposes. |
» date2_required |
boolean |
false |
none |
Indicates whether the second date field is mandatory for the completion of the form, ensuring compliance with data entry requirements. |
» date2_readOnly |
boolean |
false |
none |
Indicates whether the associated date field is read-only, preventing any modifications to its value. |
» date2_enable |
boolean |
false |
none |
Indicates whether the secondary date feature is enabled for the associated record, allowing for enhanced scheduling flexibility. |
» date3 |
string(date) |
false |
none |
Represents a specific date relevant to the additional fields in the data transfer object, facilitating effective data management and reporting. |
» date3_label |
string |
false |
none |
Label for the third date field in the AdditionalFieldsDTO, used to provide context or description for date-related data entries. |
» date3_required |
boolean |
false |
none |
Indicates whether the third date field is mandatory for the completion of the associated data entry. |
» date3_readOnly |
boolean |
false |
none |
Indicates whether the ‘date3’ field is read-only, ensuring data integrity by preventing modifications. |
» date3_enable |
boolean |
false |
none |
Indicates whether the third date field is enabled for use in the additional fields configuration. |
» date4 |
string(date) |
false |
none |
Represents a specific date related to the additional fields within the data transfer object, facilitating accurate data management and reporting. |
» date4_label |
string |
false |
none |
Label associated with the fourth date field, used for categorizing or providing context to date-related data within the AdditionalFieldsDTO schema. |
» date4_required |
boolean |
false |
none |
Indicates whether the date4 field is mandatory for the completion of the AdditionalFieldsDTO in the API. |
» date4_readOnly |
boolean |
false |
none |
Indicates whether the associated date field is read-only, preventing any modifications to ensure data integrity. |
» date4_enable |
boolean |
false |
none |
Indicates whether the fourth date field is enabled for use in the additional fields configuration. |
» date5 |
string(date) |
false |
none |
Represents a date value relevant to additional fields in the context of the business process. |
» date5_label |
string |
false |
none |
Label associated with the fifth date field, used for categorizing or providing context to specific date entries within the AdditionalFieldsDTO schema. |
» date5_required |
boolean |
false |
none |
Indicates whether the fifth date field is mandatory for the completion of the associated data entry. |
» date5_readOnly |
boolean |
false |
none |
Indicates whether the associated date field is read-only, preventing modifications to ensure data integrity in the system. |
» date5_enable |
boolean |
false |
none |
Indicates whether the fifth date field is enabled for use in the application, allowing for enhanced scheduling flexibility. |
» date6 |
string(date) |
false |
none |
Represents a specific date relevant to additional fields within the data transfer object, facilitating effective data management and reporting. |
» date6_label |
string |
false |
none |
Label for the sixth date field, used to provide a descriptive context for date-related data within the AdditionalFieldsDTO schema. |
» date6_required |
boolean |
false |
none |
Indicates whether the sixth date field is mandatory for the completion of the associated data entry. |
» date6_readOnly |
boolean |
false |
none |
Indicates whether the associated date field is read-only, preventing modifications to ensure data integrity. |
» date6_enable |
boolean |
false |
none |
Indicates whether the sixth date field is enabled for use in the additional fields configuration. |